## Index

### Functions

- create
- fetchAll
- findById
- remove
- update

## Functions

### create

- create(cartId: string, cartVersion: number, orderNumber: string | null, token: string): Promise<Order>

- - Defined in src/commerce/services/orders.ts:38

  #### Parameters

  - ##### cartId: string

  - ##### cartVersion: number

  - ##### orderNumber: string | null

  - ##### token: string

  #### Returns Promise<Order>

### fetchAll

- fetchAll(token: string, isAdmin?: boolean): Promise<PaginatedOrderResult>

- - Defined in src/commerce/services/orders.ts:7

  #### Parameters

  - ##### token: string

  - ##### Default value isAdmin: boolean = false

  #### Returns Promise<PaginatedOrderResult>

### findById

- findById(orderId: string, token: string, isAdmin?: boolean): Promise<Order>

- - Defined in src/commerce/services/orders.ts:22

  #### Parameters

  - ##### orderId: string

  - ##### token: string

  - ##### Default value isAdmin: boolean = false

  #### Returns Promise<Order>

### remove

- remove(orderId: string, orderVersion: number, token: string): Promise<Order>

- - Defined in src/commerce/services/orders.ts:83

  #### Parameters

  - ##### orderId: string

  - ##### orderVersion: number

  - ##### token: string

  #### Returns Promise<Order>

### update

- update(orderId: string, orderVersion: number, actions: UpdateAction[], token: string): Promise<Order>

- - Defined in src/commerce/services/orders.ts:64

  #### Parameters

  - ##### orderId: string

  - ##### orderVersion: number

  - ##### actions: UpdateAction[]

  - ##### token: string

  #### Returns Promise<Order>

Generated using TypeDoc